%define major 25
%define libnamedevelold %mklibname %{name} 0 -d
%define libname %mklibname opts %{major}
%define libnamedevel %mklibname %{name} -d
%define libnamestaticdevel %mklibname %{name} -d -s

Summary:	Tool for autogenerating code
Name:		autogen
Version:	5.18.1
Release:	%mkrel 2
Group:		Development/Other
License:	GPLv2+
URL:		http://www.gnu.org/software/autogen/
Source0:	http://ftp.gnu.org/gnu/autogen/rel%{version}/%{name}-%{version}.tar.xz
BuildRequires:	chrpath
BuildRequires:	guile-devel
BuildRequires:	guile guile-runtime
BuildRequires:	libxml2-devel

%description
AutoGen is a tool designed to simplify the creation and maintenance
of programs that contain large amounts of repetitious text. It is
especially valuable in programs that have several blocks of text
that must be kept synchronized.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		Development/Other
Obsoletes:	%{_lib}autogen0 < 5.11

%description -n	%{libname}
AutoGen is a tool designed to simplify the creation and maintenance
of programs that contain large amounts of repetitious text. It is
especially valuable in programs that have several blocks of text
that must be kept synchronized.

%package -n %{libnamedevel}
Summary:	Development headers and libraries for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{libnamedevelold} < %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libnamedevel}
AutoGen is a tool designed to simplify the creation and maintenance
of programs that contain large amounts of repetitious text. It is
especially valuable in programs that have several blocks of text
that must be kept synchronized.

%package -n %{libnamestaticdevel}
Summary:	Static libraries for %{name}
Group:		Development/Other
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Requires:	%{libnamedevel} = %{version}-%{release}

%description -n	%{libnamestaticdevel}
AutoGen is a tool designed to simplify the creation and maintenance
of programs that contain large amounts of repetitious text. It is
especially valuable in programs that have several blocks of text
that must be kept synchronized.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%{_bindir}/chrpath -d %{buildroot}/%{_libdir}/lib*.so.* %{buildroot}/%{_bindir}/{autogen,columns,getdefs,xml2ag}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%doc README TODO
%{_bindir}/autogen
%{_bindir}/columns
%{_bindir}/getdefs
%{_bindir}/xml2ag
%{_infodir}/autogen.info*
%{_mandir}/*/*
%{_datadir}/aclocal/*
%{_datadir}/autogen/

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedevel}
%{_bindir}/autoopts-config
%{_includedir}/autoopts/
%{_libdir}/*.so
%{_datadir}/pkgconfig/*

%files -n %{libnamestaticdevel}
%{_libdir}/*.a


%changelog
* Sun Oct 20 2013 umeabot <umeabot> 5.18.1-2.mga4
+ Revision: 536808
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 sander85 <sander85> 5.18.1-1.mga4
+ Revision: 485643
- New version: 5.18.1

* Wed Aug 28 2013 fwang <fwang> 5.18-2.mga4
+ Revision: 472548
- add more br
- build with guile 2.0

* Mon Aug 12 2013 sander85 <sander85> 5.18-1.mga4
+ Revision: 465656
- New version: 5.18

* Sat May 25 2013 shlomif <shlomif> 5.17.4-1.mga4
+ Revision: 427346
- New version 5.17.4
- Update the summary
- Trailing space

* Fri Jan 11 2013 umeabot <umeabot> 5.16.1-3.mga3
+ Revision: 346651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 dmorgan <dmorgan> 5.16.1-2.mga3
+ Revision: 323238
- Fix build

  + fwang <fwang>
    - new version 5.16.1

* Wed Dec 28 2011 wally <wally> 5.12-2.mga2
+ Revision: 188400
- rebuild for new guile

* Thu Sep 01 2011 ze <ze> 5.12-1.mga2
+ Revision: 137452
- version 5.12
- clean is done by default

  + fwang <fwang>
    - new version 5.11.5

  + dmorgan <dmorgan>
    - Remove mdv macros
    - imported package autogen


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 5.10-3mdv2011.0
+ Revision: 603482
- rebuild

* Tue Feb 09 2010 Funda Wang <fwang@mandriva.org> 5.10-2mdv2010.1
+ Revision: 503359
- rebuild for new gmp

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 5.10-1mdv2010.1
+ Revision: 463355
- new version 5.10

* Sat May 16 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 5.9.8-1mdv2010.0
+ Revision: 376464
- update to new version 5.9.8

* Thu Jan 29 2009 Funda Wang <fwang@mandriva.org> 5.9.7-2mdv2009.1
+ Revision: 335074
- rebuild for new libtool

* Sun Jan 04 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 5.9.7-1mdv2009.1
+ Revision: 324500
- update to new version 5.9.7

* Thu Nov 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 5.9.6-2mdv2009.1
+ Revision: 305356
- do not protect major (ffs this is my second mistake...)
- update to new version 5.9.6
- correct urls
- get rid of -Werror flag as it breaks build
- major has changed from 0 to 25, since it is now protected
- add provides/obsoletes for main library

* Mon Jun 23 2008 Oden Eriksson <oeriksson@mandriva.com> 5.9.5-2mdv2009.0
+ Revision: 227986
- rebuilt due to PayloadIsLzma problems

* Sun Jun 22 2008 Oden Eriksson <oeriksson@mandriva.com> 5.9.5-1mdv2009.0
+ Revision: 227867
- 5.9.5
- added P0 to fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 5.9.4-1mdv2008.1
+ Revision: 139564
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 26 2007 Funda Wang <fwang@mandriva.org> 5.9.3-1mdv2008.1
+ Revision: 102347
- update to new version 5.9.3

* Tue Sep 04 2007 David Walluck <walluck@mandriva.org> 5.9.2-1mdv2008.0
+ Revision: 78922
- 5.9.2
- new lib policy

* Sun May 06 2007 David Walluck <walluck@mandriva.org> 5.9.1-1mdv2008.0
+ Revision: 23681
- 5.9.1


* Tue Mar 06 2007 Emmanuel Andry <eandry@mandriva.org> 5.9-1mdv2007.0
+ Revision: 133427
- New version 5.9

* Sun Feb 18 2007 Emmanuel Andry <eandry@mandriva.org> 5.8.9-1mdv2007.1
+ Revision: 122213
- New version 5.8.9
- Import autogen

* Fri Sep 01 2006 Couriousous <couriousous@mandriva.org> 5.8.5-1mdv2007.0
- 5.8.5

* Sun Apr 16 2006 Couriousous <couriousous@mandriva.org> 5.8.4-1mdk
- 5.8.4

* Mon Aug 01 2005 Couriousous <couriousous@mandriva.org> 5.7.2-1mdk
- 5.7.2

* Sat Jul 16 2005 Couriousous <couriousous@mandriva.org> 5.7.1-1mdk
- 5.7.1

* Mon Apr 04 2005 Couriousous <couriousous@mandriva.org> 5.7-1mdk
- 5.7

* Sat Mar 19 2005 Couriousous <couriousous@mandrake.org> 5.6.6-1mdk
- Some spec fix
- From trem <trem@zarb.org> : 
	- First Mandrakelinux release

